"use strict";

exports.__esModule = true;
exports.command = void 0;
var command = {
  name: 'moveCellSelectionToMostInlineStart',
  callback: function callback(hot) {
    var selection = hot.selection,
      columnIndexMapper = hot.columnIndexMapper;
    var fixedColumns = parseInt(hot.getSettings().fixedColumnsStart, 10);
    var row = hot.getSelectedRangeLast().highlight.row;
    var column = columnIndexMapper.getNearestNotHiddenIndex(fixedColumns, 1);
    selection.setRangeStart(hot._createCellCoords(row, column));
  }
};
exports.command = command;